/**
 * @Author: Kane Wang <wangkane@qq.com>
 * @Date: 2025-11-17 17:49:58
 * @LastEditors: Kane Wang
 * @LastModified: 2025-11-18 15:19:46
 * @FilePath: src/main/java/com/cpic/xim/web/controllers/fileupload/MoveFileRequest.java
 * @Description:
 *
 *               Copyright (c) 2025 by Kane All rights reserved
 */
package com.cpic.xim.web.controllers.fileupload;

import com.fasterxml.jackson.annotation.JsonProperty;

public class MoveFileRequest 
{
    @JsonProperty("originFilePath")
    private String originFilePath;

    @JsonProperty("destFilePath")
    private String destFilePath;

    public MoveFileRequest()
    {}

    public MoveFileRequest( String originFilePath, String destFilePath )
    {
        this.originFilePath = originFilePath;
        this.destFilePath   = destFilePath;
    }

    public String getOriginFilePath()
    {
        return originFilePath;
    }

    public void setOriginFilePath( String originFilePath )
    {
        this.originFilePath = originFilePath;
    }

    public String getDestFilePath()
    {
        return destFilePath;
    }

    public void setDestFilePath( String destFilePath )
    {
        this.destFilePath = destFilePath;
    } 
}
